From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 11 Jan 2022 12:37:42 +0100
Subject: media: s5k3l6xx: remove sleep in resume

handle all delays inside of set_power() as part of the power sequencing
---
 drivers/media/i2c/s5k3l6xx.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index ea2643f..83e35cd 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -1260,7 +1260,6 @@ static int __maybe_unused s5k3l6xx_resume(struct device *dev)
 	dev_dbg(dev, "%s\n", __func__);
 
 	ret = s5k3l6xx_set_power(sd, TRUE);
-	msleep(500);
 
 	if (ret == 0 && state->streaming)
 		s5k3l6xx_hw_set_stream(state, 1);
